package com.ssj.service.sys.push.service.task;

import com.ssj.push.util.jiguang.MessagePushUtils;
import com.ssj.taskthread.Task;
import org.apache.commons.lang3.StringUtils;

import java.util.Map;

/**
 * @author yangcan
 * 类描述:腾讯信鸽异步推送android端线程
 * 创建时间:2018年5月15日 下午5:06:36

 */
public class XingeAndroidPushThreadTask extends Task{
	
	private String title; //极光id
	private String content; //推送内容
	private String androidToken; //信鸽token 安卓端
	private int platformType;//1:贝壳端 2:家长端 3:学生端 4:老师端 5:校长端
	private String messageType; //notify:通知栏消息 ,message:应用内/透传消息/静默消息,默认通知栏消息

	// 自定义内容
	private Map<String, Object> custom;
	
	public XingeAndroidPushThreadTask(String title, String content, Map<String, Object> custom, String androidToken, int platformType, String messageType) {
		super();
		this.title = title;
		this.content = content;
		this.custom = custom;
		this.androidToken = androidToken;
		this.platformType = platformType;
		this.messageType = messageType;
	}

	public void run() {
		logger.error("信鸽异步开始推送Android---------------");
		try {
			if(StringUtils.isNotBlank(androidToken)) {
				MessagePushUtils.pushByAndroid(androidToken, title, content, platformType,messageType, custom);
			}
		}catch (Exception e) {
			logger.error("腾讯信鸽推送异常...");
		}
		logger.error(Thread.currentThread().getName()+"信鸽异步结束推送Android---------------");
	}
}
